package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.VipQuanyiMapper;
import com.ruoyi.system.domain.VipQuanyi;
import com.ruoyi.system.service.IVipQuanyiService;

/**
 * quanyiService业务层处理
 *
 * @author ruoyi
 * @date 2023-06-06
 */
@Service
public class VipQuanyiServiceImpl extends ServiceImpl<BaseMapper<VipQuanyi>,VipQuanyi> implements IVipQuanyiService
{
    @Autowired
    private VipQuanyiMapper vipQuanyiMapper;

    /**
     * 查询quanyi
     *
     * @param id quanyi主键
     * @return quanyi
     */
    @Override
    public VipQuanyi selectVipQuanyiById(Long id)
    {
        return vipQuanyiMapper.selectVipQuanyiById(id);
    }

    public List<VipQuanyi> userUnclaimedList(Long userId,String language,Long mdId){
        return vipQuanyiMapper.userUnclaimedList(userId,language,mdId);
    }
    /**
     * 查询quanyi列表
     *
     * @param vipQuanyi quanyi
     * @return quanyi
     */
    @Override
    public List<VipQuanyi> selectVipQuanyiList(VipQuanyi vipQuanyi)
    {
        return vipQuanyiMapper.selectVipQuanyiList(vipQuanyi);
    }

    /**
     * 新增quanyi
     *
     * @param vipQuanyi quanyi
     * @return 结果
     */
    @Override
    public int insertVipQuanyi(VipQuanyi vipQuanyi)
    {
        return vipQuanyiMapper.insertVipQuanyi(vipQuanyi);
    }

    /**
     * 修改quanyi
     *
     * @param vipQuanyi quanyi
     * @return 结果
     */
    @Override
    public int updateVipQuanyi(VipQuanyi vipQuanyi)
    {
        return vipQuanyiMapper.updateVipQuanyi(vipQuanyi);
    }

    /**
     * 批量删除quanyi
     *
     * @param ids 需要删除的quanyi主键
     * @return 结果
     */
    @Override
    public int deleteVipQuanyiByIds(Long[] ids)
    {
        return vipQuanyiMapper.deleteVipQuanyiByIds(ids);
    }

    /**
     * 删除quanyi信息
     *
     * @param id quanyi主键
     * @return 结果
     */
    @Override
    public int deleteVipQuanyiById(Long id)
    {
        return vipQuanyiMapper.deleteVipQuanyiById(id);
    }
}
